/* SPDX-License-Identifier: (GPL-2.0+ OR MIT) */
/*
 * Copyright (c) 2021 Amlogic, Inc. All rights reserved.
 */

#ifndef VPP_REGS_V2_HEADER_
#define VPP_REGS_V2_HEADER_

#define VPP_CCORING_CTRL                        0x1d62
#define VPP_VE_ENABLE_CTRL                      0x1d63
#define VPP_BLACKEXT_CTRL                       0x1d64
#define VPP_VE_DEMO_CTRL                        0x1d65
#define VPP_DNLP_CTRL_00                        0x1d66
#define VPP_DNLP_CTRL_01                        0x1d67
#define VPP_DNLP_CTRL_02                        0x1d68
#define VPP_DNLP_CTRL_03                        0x1d69
#define VPP_DNLP_CTRL_04                        0x1d6a
#define VPP_DNLP_CTRL_05                        0x1d6b
#define VPP_DNLP_CTRL_06                        0x1d6c
#define VPP_DNLP_CTRL_07                        0x1d6d
#define VPP_DNLP_CTRL_08                        0x1d6e
#define VPP_DNLP_CTRL_09                        0x1d6f
#define VPP_DNLP_CTRL_10                        0x1d70
#define VPP_DNLP_CTRL_11                        0x1d71
#define VPP_DNLP_CTRL_12                        0x1d72
#define VPP_DNLP_CTRL_13                        0x1d73
#define VPP_DNLP_CTRL_14                        0x1d74
#define VPP_DNLP_CTRL_15                        0x1d75
#define VPP_CHROMA_ADDR_PORT                    0x1d76
#define VPP_CHROMA_DATA_PORT                    0x1d77
#define VPP_BLUE_STRETCH_1                      0x1dc0
#define VPP_BLUE_STRETCH_2                      0x1dc1
#define VPP_BLUE_STRETCH_3                      0x1dc2
#define VPP_BLUE_STRETCH_4                      0x1dc3
#define VPP_BLUE_STRETCH_5                      0x1dc4
#define VPP_VE_DEMO_CENTER_BAR                  0x1dc5
#define VPP_VE_DEMO_CENTER                      0x1dc6
#define VPP_VADJ1_MISC                          0x1d80
#define VPP_VADJ1_BLACK_VAL                     0x1d81
#define VPP_VADJ1_Y                             0x1d82
#define VPP_VADJ1_MA_MB                         0x1d83
#define VPP_VADJ1_MC_MD                         0x1d84
#define VPP_VADJ1_CURV_0                        0x1d85
#define VPP_VADJ1_CURV_1                        0x1d86
#define VPP_VADJ1_CURV_2                        0x1d87
#define VPP_VADJ1_CURV_3                        0x1d88
#define VPP_VD1_RGB_CTRST                       0x1d89
#define VPP_VD1_RGB_BRGHT                       0x1d8a
#define VPP_VD1_RGB_DLUT_0_3                    0x1d8b
#define VPP_VD1_RGB_DLUT_4_7                    0x1d8c
#define VPP_VD1_RGB_DLUT_8_11                   0x1d8d
#define VPP_VD1_MATRIX_COEF00_01                0x1d90
#define VPP_VD1_MATRIX_COEF02_10                0x1d91
#define VPP_VD1_MATRIX_COEF11_12                0x1d92
#define VPP_VD1_MATRIX_COEF20_21                0x1d93
#define VPP_VD1_MATRIX_COEF22                   0x1d94
#define VPP_VD1_MATRIX_COEF13_14                0x1d95
#define VPP_VD1_MATRIX_COEF23_24                0x1d96
#define VPP_VD1_MATRIX_COEF15_25                0x1d97
#define VPP_VD1_MATRIX_CLIP                     0x1d98
#define VPP_VD1_MATRIX_OFFSET0_1                0x1d99
#define VPP_VD1_MATRIX_OFFSET2                  0x1d9a
#define VPP_VD1_MATRIX_PRE_OFFSET0_1            0x1d9b
#define VPP_VD1_MATRIX_PRE_OFFSET2              0x1d9c
#define VPP_VD1_MATRIX_EN_CTRL                  0x1d9d
#define VPP_VD1_MATRIX_SAT                      0x1d9e

#define VPP_SLICE1_CCORING_CTRL                  0x2862
#define VPP_SLICE1_VE_ENABLE_CTRL                0x2863
#define VPP_SLICE1_BLACKEXT_CTRL                 0x2864
#define VPP_SLICE1_VE_DEMO_CTRL                  0x2865
#define VPP_SLICE1_DNLP_CTRL_00                  0x2866
#define VPP_SLICE1_DNLP_CTRL_01                  0x2867
#define VPP_SLICE1_DNLP_CTRL_02                  0x2868
#define VPP_SLICE1_DNLP_CTRL_03                  0x2869
#define VPP_SLICE1_DNLP_CTRL_04                  0x286a
#define VPP_SLICE1_DNLP_CTRL_05                  0x286b
#define VPP_SLICE1_DNLP_CTRL_06                  0x286c
#define VPP_SLICE1_DNLP_CTRL_07                  0x286d
#define VPP_SLICE1_DNLP_CTRL_08                  0x286e
#define VPP_SLICE1_DNLP_CTRL_09                  0x286f
#define VPP_SLICE1_DNLP_CTRL_10                  0x2870
#define VPP_SLICE1_DNLP_CTRL_11                  0x2871
#define VPP_SLICE1_DNLP_CTRL_12                  0x2872
#define VPP_SLICE1_DNLP_CTRL_13                  0x2873
#define VPP_SLICE1_DNLP_CTRL_14                  0x2874
#define VPP_SLICE1_DNLP_CTRL_15                  0x2875
#define VPP_SLICE1_CHROMA_ADDR_PORT              0x2876
#define VPP_SLICE1_CHROMA_DATA_PORT              0x2877
#define VPP_SLICE1_BLUE_STRETCH_1                0x28c0
#define VPP_SLICE1_BLUE_STRETCH_2                0x28c1
#define VPP_SLICE1_BLUE_STRETCH_3                0x28c2
#define VPP_SLICE1_BLUE_STRETCH_4                0x28c3
#define VPP_SLICE1_BLUE_STRETCH_5                0x28c4
#define VPP_SLICE1_VE_DEMO_CENTER_BAR            0x28c5
#define VPP_SLICE1_VE_DEMO_CENTER                0x28c6
#define VPP_SLICE1_VADJ1_MISC                    0x2880
#define VPP_SLICE1_VADJ1_BLACK_VAL               0x2881
#define VPP_SLICE1_VADJ1_Y                       0x2882
#define VPP_SLICE1_VADJ1_MA_MB                   0x2883
#define VPP_SLICE1_VADJ1_MC_MD                   0x2884
#define VPP_SLICE1_VADJ1_CURV_0                  0x2885
#define VPP_SLICE1_VADJ1_CURV_1                  0x2886
#define VPP_SLICE1_VADJ1_CURV_2                  0x2887
#define VPP_SLICE1_VADJ1_CURV_3                  0x2888
#define VPP_SLICE1_VD1_RGB_CTRST                 0x2889
#define VPP_SLICE1_VD1_RGB_BRGHT                 0x288a
#define VPP_SLICE1_VD1_RGB_DLUT_0_3              0x288b
#define VPP_SLICE1_VD1_RGB_DLUT_4_7              0x288c
#define VPP_SLICE1_VD1_RGB_DLUT_8_11             0x288d
#define VPP_SLICE1_VD1_MATRIX_COEF00_01          0x2890
#define VPP_SLICE1_VD1_MATRIX_COEF02_10          0x2891
#define VPP_SLICE1_VD1_MATRIX_COEF11_12          0x2892
#define VPP_SLICE1_VD1_MATRIX_COEF20_21          0x2893
#define VPP_SLICE1_VD1_MATRIX_COEF22             0x2894
#define VPP_SLICE1_VD1_MATRIX_COEF13_14          0x2895
#define VPP_SLICE1_VD1_MATRIX_COEF23_24          0x2896
#define VPP_SLICE1_VD1_MATRIX_COEF15_25          0x2897
#define VPP_SLICE1_VD1_MATRIX_CLIP               0x2898
#define VPP_SLICE1_VD1_MATRIX_OFFSET0_1          0x2899
#define VPP_SLICE1_VD1_MATRIX_OFFSET2            0x289a
#define VPP_SLICE1_VD1_MATRIX_PRE_OFFSET0_1      0x289b
#define VPP_SLICE1_VD1_MATRIX_PRE_OFFSET2        0x289c
#define VPP_SLICE1_VD1_MATRIX_EN_CTRL            0x289d
#define VPP_SLICE1_VD1_MATRIX_SAT                0x289e

#define VPP_SLICE2_CCORING_CTRL                  0x2962
#define VPP_SLICE2_VE_ENABLE_CTRL                0x2963
#define VPP_SLICE2_BLACKEXT_CTRL                 0x2964
#define VPP_SLICE2_VE_DEMO_CTRL                  0x2965
#define VPP_SLICE2_DNLP_CTRL_00                  0x2966
#define VPP_SLICE2_DNLP_CTRL_01                  0x2967
#define VPP_SLICE2_DNLP_CTRL_02                  0x2968
#define VPP_SLICE2_DNLP_CTRL_03                  0x2969
#define VPP_SLICE2_DNLP_CTRL_04                  0x296a
#define VPP_SLICE2_DNLP_CTRL_05                  0x296b
#define VPP_SLICE2_DNLP_CTRL_06                  0x296c
#define VPP_SLICE2_DNLP_CTRL_07                  0x296d
#define VPP_SLICE2_DNLP_CTRL_08                  0x296e
#define VPP_SLICE2_DNLP_CTRL_09                  0x296f
#define VPP_SLICE2_DNLP_CTRL_10                  0x2970
#define VPP_SLICE2_DNLP_CTRL_11                  0x2971
#define VPP_SLICE2_DNLP_CTRL_12                  0x2972
#define VPP_SLICE2_DNLP_CTRL_13                  0x2973
#define VPP_SLICE2_DNLP_CTRL_14                  0x2974
#define VPP_SLICE2_DNLP_CTRL_15                  0x2975
#define VPP_SLICE2_CHROMA_ADDR_PORT              0x2976
#define VPP_SLICE2_CHROMA_DATA_PORT              0x2977
#define VPP_SLICE2_BLUE_STRETCH_1                0x29c0
#define VPP_SLICE2_BLUE_STRETCH_2                0x29c1
#define VPP_SLICE2_BLUE_STRETCH_3                0x29c2
#define VPP_SLICE2_BLUE_STRETCH_4                0x29c3
#define VPP_SLICE2_BLUE_STRETCH_5                0x29c4
#define VPP_SLICE2_VE_DEMO_CENTER_BAR            0x29c5
#define VPP_SLICE2_VE_DEMO_CENTER                0x29c6
#define VPP_SLICE2_VADJ1_MISC                    0x2980
#define VPP_SLICE2_VADJ1_BLACK_VAL               0x2981
#define VPP_SLICE2_VADJ1_Y                       0x2982
#define VPP_SLICE2_VADJ1_MA_MB                   0x2983
#define VPP_SLICE2_VADJ1_MC_MD                   0x2984
#define VPP_SLICE2_VADJ1_CURV_0                  0x2985
#define VPP_SLICE2_VADJ1_CURV_1                  0x2986
#define VPP_SLICE2_VADJ1_CURV_2                  0x2987
#define VPP_SLICE2_VADJ1_CURV_3                  0x2988
#define VPP_SLICE2_VD1_RGB_CTRST                 0x2989
#define VPP_SLICE2_VD1_RGB_BRGHT                 0x298a
#define VPP_SLICE2_VD1_RGB_DLUT_0_3              0x298b
#define VPP_SLICE2_VD1_RGB_DLUT_4_7              0x298c
#define VPP_SLICE2_VD1_RGB_DLUT_8_11             0x298d
#define VPP_SLICE2_VD1_MATRIX_COEF00_01          0x2990
#define VPP_SLICE2_VD1_MATRIX_COEF02_10          0x2991
#define VPP_SLICE2_VD1_MATRIX_COEF11_12          0x2992
#define VPP_SLICE2_VD1_MATRIX_COEF20_21          0x2993
#define VPP_SLICE2_VD1_MATRIX_COEF22             0x2994
#define VPP_SLICE2_VD1_MATRIX_COEF13_14          0x2995
#define VPP_SLICE2_VD1_MATRIX_COEF23_24          0x2996
#define VPP_SLICE2_VD1_MATRIX_COEF15_25          0x2997
#define VPP_SLICE2_VD1_MATRIX_CLIP               0x2998
#define VPP_SLICE2_VD1_MATRIX_OFFSET0_1          0x2999
#define VPP_SLICE2_VD1_MATRIX_OFFSET2            0x299a
#define VPP_SLICE2_VD1_MATRIX_PRE_OFFSET0_1      0x299b
#define VPP_SLICE2_VD1_MATRIX_PRE_OFFSET2        0x299c
#define VPP_SLICE2_VD1_MATRIX_EN_CTRL            0x299d
#define VPP_SLICE2_VD1_MATRIX_SAT                0x299e

#define VPP_SLICE3_CCORING_CTRL                  0x2a62
#define VPP_SLICE3_VE_ENABLE_CTRL                0x2a63
#define VPP_SLICE3_BLACKEXT_CTRL                 0x2a64
#define VPP_SLICE3_VE_DEMO_CTRL                  0x2a65
#define VPP_SLICE3_DNLP_CTRL_00                  0x2a66
#define VPP_SLICE3_DNLP_CTRL_01                  0x2a67
#define VPP_SLICE3_DNLP_CTRL_02                  0x2a68
#define VPP_SLICE3_DNLP_CTRL_03                  0x2a69
#define VPP_SLICE3_DNLP_CTRL_04                  0x2a6a
#define VPP_SLICE3_DNLP_CTRL_05                  0x2a6b
#define VPP_SLICE3_DNLP_CTRL_06                  0x2a6c
#define VPP_SLICE3_DNLP_CTRL_07                  0x2a6d
#define VPP_SLICE3_DNLP_CTRL_08                  0x2a6e
#define VPP_SLICE3_DNLP_CTRL_09                  0x2a6f
#define VPP_SLICE3_DNLP_CTRL_10                  0x2a70
#define VPP_SLICE3_DNLP_CTRL_11                  0x2a71
#define VPP_SLICE3_DNLP_CTRL_12                  0x2a72
#define VPP_SLICE3_DNLP_CTRL_13                  0x2a73
#define VPP_SLICE3_DNLP_CTRL_14                  0x2a74
#define VPP_SLICE3_DNLP_CTRL_15                  0x2a75
#define VPP_SLICE3_CHROMA_ADDR_PORT              0x2a76
#define VPP_SLICE3_CHROMA_DATA_PORT              0x2a77
#define VPP_SLICE3_BLUE_STRETCH_1                0x2ac0
#define VPP_SLICE3_BLUE_STRETCH_2                0x2ac1
#define VPP_SLICE3_BLUE_STRETCH_3                0x2ac2
#define VPP_SLICE3_BLUE_STRETCH_4                0x2ac3
#define VPP_SLICE3_BLUE_STRETCH_5                0x2ac4
#define VPP_SLICE3_VE_DEMO_CENTER_BAR            0x2ac5
#define VPP_SLICE3_VE_DEMO_CENTER                0x2ac6
#define VPP_SLICE3_VADJ1_MISC                    0x2a80
#define VPP_SLICE3_VADJ1_BLACK_VAL               0x2a81
#define VPP_SLICE3_VADJ1_Y                       0x2a82
#define VPP_SLICE3_VADJ1_MA_MB                   0x2a83
#define VPP_SLICE3_VADJ1_MC_MD                   0x2a84
#define VPP_SLICE3_VADJ1_CURV_0                  0x2a85
#define VPP_SLICE3_VADJ1_CURV_1                  0x2a86
#define VPP_SLICE3_VADJ1_CURV_2                  0x2a87
#define VPP_SLICE3_VADJ1_CURV_3                  0x2a88
#define VPP_SLICE3_VD1_RGB_CTRST                 0x2a89
#define VPP_SLICE3_VD1_RGB_BRGHT                 0x2a8a
#define VPP_SLICE3_VD1_RGB_DLUT_0_3              0x2a8b
#define VPP_SLICE3_VD1_RGB_DLUT_4_7              0x2a8c
#define VPP_SLICE3_VD1_RGB_DLUT_8_11             0x2a8d
#define VPP_SLICE3_VD1_MATRIX_COEF00_01          0x2a90
#define VPP_SLICE3_VD1_MATRIX_COEF02_10          0x2a91
#define VPP_SLICE3_VD1_MATRIX_COEF11_12          0x2a92
#define VPP_SLICE3_VD1_MATRIX_COEF20_21          0x2a93
#define VPP_SLICE3_VD1_MATRIX_COEF22             0x2a94
#define VPP_SLICE3_VD1_MATRIX_COEF13_14          0x2a95
#define VPP_SLICE3_VD1_MATRIX_COEF23_24          0x2a96
#define VPP_SLICE3_VD1_MATRIX_COEF15_25          0x2a97
#define VPP_SLICE3_VD1_MATRIX_CLIP               0x2a98
#define VPP_SLICE3_VD1_MATRIX_OFFSET0_1          0x2a99
#define VPP_SLICE3_VD1_MATRIX_OFFSET2            0x2a9a
#define VPP_SLICE3_VD1_MATRIX_PRE_OFFSET0_1      0x2a9b
#define VPP_SLICE3_VD1_MATRIX_PRE_OFFSET2        0x2a9c
#define VPP_SLICE3_VD1_MATRIX_EN_CTRL            0x2a9d
#define VPP_SLICE3_VD1_MATRIX_SAT                0x2a9e

#define VD_PROC_SR0_CTRL                        0x2800
#define VD_PROC_SR1_CTRL                        0x2801
#define VD_PROC_S0_IN_SIZE                      0x2802
#define VD_PROC_S0_OUT_SIZE                     0x2803
#define VD_PROC_S0_PPS_IN_SIZE                  0x2804
#define VD_PROC_S0_SR0_IN_SIZE                  0x2805
#define VD_PROC_S0_SR1_IN_SIZE                  0x2806
#define VD_PROC_S1_IN_SIZE                      0x2807
#define VD_PROC_S1_OUT_SIZE                     0x2808
#define VD_PROC_S1_SR0_IN_SIZE                  0x2809
#define VD_PROC_S2_IN_SIZE                      0x280a
#define VD_PROC_S2_OUT_SIZE                     0x280b
#define VD_PROC_S3_IN_SIZE                      0x280c
#define VD_PROC_S3_OUT_SIZE                     0x280d
#define VD_PROC_GCLK_CTRL                       0x280e
#define VD_PROC_BYPASS_CTRL                     0x280f
#define VD_S0_HWIN_CUT                          0x2810
#define VD_S1_HWIN_CUT                          0x2811
#define VD_S2_HWIN_CUT                          0x2812
#define VD_S3_HWIN_CUT                          0x2813

#define VPP_VD_SYS_GCLK_CTRL                    0x3200
#define VPP_VD_PREBLND_H_V_SIZE                 0x3201
#define VPP_VD_PREBLND_CTRL                     0x3202
#define VPP_PREBLEND_VD1_H_START_END            0x3203
#define VPP_PREBLEND_VD1_V_START_END            0x3204
#define VPP_PREBLEND_VD2_H_START_END            0x3205
#define VPP_PREBLEND_VD2_V_START_END            0x3206
#define VPP_VD_BLND_H_V_SIZE                    0x3209
#define VPP_VD_BLND_CTRL                        0x320a
#define VPP_BLEND_VD1_S0_H_START_END            0x320b
#define VPP_BLEND_VD1_S0_V_START_END            0x320c
#define VPP_BLEND_VD1_S1_H_START_END            0x320d
#define VPP_BLEND_VD1_S1_V_START_END            0x320e
#define VPP_BLEND_VD1_S2_H_START_END            0x320f
#define VPP_BLEND_VD1_S2_V_START_END            0x3210
#define VPP_BLEND_VD1_S3_H_START_END            0x3211
#define VPP_BLEND_VD1_S3_V_START_END            0x3212
#define VPP_VD_SYS_CTRL                         0x3217
#define VPP_VD_PRE_BLEND_CTRL                   0x3240
#define VPP_VD_PRE_BLEND_DUMMY_DATA             0x3241
#define VPP_VD_PRE_BLEND_DUMMY_ALPHA            0x3242
#define VPP_VD_PRE_BLEND_RO_CURRENT_XY          0x3243
#define VPP_VD_PRE_BLEND_DUMMY_ALPHA1           0x3244
#define VPP_VD_PRE_BLEND_OSD_FLAG_CTRL          0x3245
#define VPP_VD_BLEND_CTRL                       0x3246
#define VPP_VD_BLEND_DUMMY_DATA                 0x3247
#define VPP_VD_BLEND_DUMMY_ALPHA                0x3248
#define VPP_VD_BLEND_RO_CURRENT_XY              0x3249
#define VPP_VD_BLEND_DUMMY_ALPHA1               0x324a
#define VPP_VD_BLEND_OSD_FLAG_CTRL              0x324b

#define VD1_HDR2_CTRL                           0x25a0
#define VD1_HDR2_CLK_GATE                       0x25a1
#define VD1_HDR2_MATRIXI_COEF00_01              0x25a2
#define VD1_HDR2_MATRIXI_COEF02_10              0x25a3
#define VD1_HDR2_MATRIXI_COEF20_21              0x25a5
#define VD1_HDR2_MATRIXI_COEF22                 0x25a6
#define VD1_HDR2_MATRIXI_COEF30_31              0x25a7
#define VD1_HDR2_MATRIXI_COEF32_40              0x25a8
#define VD1_HDR2_MATRIXI_COEF41_42              0x25a9
#define VD1_HDR2_MATRIXI_OFFSET0_1              0x25aa
#define VD1_HDR2_MATRIXI_OFFSET2                0x25ab
#define VD1_HDR2_MATRIXI_PRE_OFFSET0_1          0x25ac
#define VD1_HDR2_MATRIXI_PRE_OFFSET2            0x25ad
#define VD1_HDR2_MATRIXO_COEF00_01              0x25ae
#define VD1_HDR2_MATRIXO_COEF02_10              0x25af
#define VD1_HDR2_MATRIXO_COEF11_12              0x25b0
#define VD1_HDR2_MATRIXO_COEF20_21              0x25b1
#define VD1_HDR2_MATRIXO_COEF22                 0x25b2
#define VD1_HDR2_MATRIXO_COEF30_31              0x25b3
#define VD1_HDR2_MATRIXO_COEF32_40              0x25b4
#define VD1_HDR2_MATRIXO_COEF41_42              0x25b5
#define VD1_HDR2_MATRIXO_OFFSET0_1              0x25b6
#define VD1_HDR2_MATRIXO_OFFSET2                0x25b7
#define VD1_HDR2_MATRIXO_PRE_OFFSET0_1          0x25b8
#define VD1_HDR2_MATRIXO_PRE_OFFSET2            0x25b9
#define VD1_HDR2_MATRIXI_CLIP                   0x25ba
#define VD1_HDR2_MATRIXO_CLIP                   0x25bb
#define VD1_HDR2_CGAIN_OFFT                     0x25bc
#define VD1_EOTF_LUT_ADDR_PORT                  0x25be
#define VD1_EOTF_LUT_DATA_PORT                  0x25bf
#define VD1_OETF_LUT_ADDR_PORT                  0x25c0
#define VD1_OETF_LUT_DATA_PORT                  0x25c1
#define VD1_CGAIN_LUT_ADDR_PORT                 0x25c2
#define VD1_CGAIN_LUT_DATA_PORT                 0x25c3
#define VD1_HDR2_CGAIN_COEF0                    0x25c4
#define VD1_HDR2_CGAIN_COEF1                    0x25c5
#define VD1_OGAIN_LUT_ADDR_PORT                 0x25c6
#define VD1_OGAIN_LUT_DATA_PORT                 0x25c7
#define VD1_HDR2_ADPS_CTRL                      0x25c8
#define VD1_HDR2_ADPS_ALPHA0                    0x25c9
#define VD1_HDR2_ADPS_ALPHA1                    0x25ca
#define VD1_HDR2_ADPS_BETA0                     0x25cb
#define VD1_HDR2_ADPS_BETA1                     0x25cc
#define VD1_HDR2_ADPS_BETA2                     0x25cd
#define VD1_HDR2_ADPS_COEF0                     0x25ce
#define VD1_HDR2_ADPS_COEF1                     0x25cf
#define VD1_HDR2_GMUT_CTRL                      0x25d0
#define VD1_HDR2_GMUT_COEF0                     0x25d1
#define VD1_HDR2_GMUT_COEF1                     0x25d2
#define VD1_HDR2_GMUT_COEF2                     0x25d3
#define VD1_HDR2_GMUT_COEF3                     0x25d4
#define VD1_HDR2_GMUT_COEF4                     0x25d5
#define VD1_HDR2_PIPE_CTRL1                     0x25d6
#define VD1_HDR2_PIPE_CTRL2                     0x25d7
#define VD1_HDR2_PIPE_CTRL3                     0x25d8
#define VD1_HDR2_PROC_WIN1                      0x25d9
#define VD1_HDR2_PROC_WIN2                      0x25da
#define VD1_HDR2_MATRIXI_EN_CTRL                0x25db
#define VD1_HDR2_MATRIXO_EN_CTRL                0x25dc
#define VD1_HDR2_HIST_CTRL                      0x25dd
#define VD1_HDR2_HIST_H_START_END               0x25de
#define VD1_HDR2_HIST_V_START_END               0x25df
#define VD1_HDR2_HIST_RD                        0x25e0

#define VD1_SLICE1_HDR2_CTRL                    0x26a0
#define VD1_SLICE1_HDR2_CLK_GATE                0x26a1
#define VD1_SLICE1_HDR2_MATRIXI_COEF00_01       0x26a2
#define VD1_SLICE1_HDR2_MATRIXI_COEF02_10       0x26a3
#define VD1_SLICE1_HDR2_MATRIXI_COEF11_12       0x26a4
#define VD1_SLICE1_HDR2_MATRIXI_COEF20_21       0x26a5
#define VD1_SLICE1_HDR2_MATRIXI_COEF22          0x26a6
#define VD1_SLICE1_HDR2_MATRIXI_COEF30_31       0x26a7
#define VD1_SLICE1_HDR2_MATRIXI_COEF32_40       0x26a8
#define VD1_SLICE1_HDR2_MATRIXI_COEF41_42       0x26a9
#define VD1_SLICE1_HDR2_MATRIXI_OFFSET0_1       0x26aa
#define VD1_SLICE1_HDR2_MATRIXI_OFFSET2         0x26ab
#define VD1_SLICE1_HDR2_MATRIXI_PRE_OFFSET0_1   0x26ac
#define VD1_SLICE1_HDR2_MATRIXI_PRE_OFFSET2     0x26ad
#define VD1_SLICE1_HDR2_MATRIXO_COEF00_01       0x26ae
#define VD1_SLICE1_HDR2_MATRIXO_COEF02_10       0x26af
#define VD1_SLICE1_HDR2_MATRIXO_COEF11_12       0x26b0
#define VD1_SLICE1_HDR2_MATRIXO_COEF20_21       0x26b1
#define VD1_SLICE1_HDR2_MATRIXO_COEF22          0x26b2
#define VD1_SLICE1_HDR2_MATRIXO_COEF30_31       0x26b3
#define VD1_SLICE1_HDR2_MATRIXO_COEF32_40       0x26b4
#define VD1_SLICE1_HDR2_MATRIXO_COEF41_42       0x26b5
#define VD1_SLICE1_HDR2_MATRIXO_OFFSET0_1       0x26b6
#define VD1_SLICE1_HDR2_MATRIXO_OFFSET2         0x26b7
#define VD1_SLICE1_HDR2_MATRIXO_PRE_OFFSET0_1   0x26b8
#define VD1_SLICE1_HDR2_MATRIXO_PRE_OFFSET2     0x26b9
#define VD1_SLICE1_HDR2_MATRIXI_CLIP            0x26ba
#define VD1_SLICE1_HDR2_MATRIXO_CLIP            0x26bb
#define VD1_SLICE1_HDR2_CGAIN_OFFT              0x26bc
#define VD1_SLICE1_EOTF_LUT_ADDR_PORT           0x26be
#define VD1_SLICE1_EOTF_LUT_DATA_PORT           0x26bf
#define VD1_SLICE1_OETF_LUT_ADDR_PORT           0x26c0
#define VD1_SLICE1_OETF_LUT_DATA_PORT           0x26c1
#define VD1_SLICE1_CGAIN_LUT_ADDR_PORT          0x26c2
#define VD1_SLICE1_CGAIN_LUT_DATA_PORT          0x26c3
#define VD1_SLICE1_HDR2_CGAIN_COEF0             0x26c4
#define VD1_SLICE1_HDR2_CGAIN_COEF1             0x26c5
#define VD1_SLICE1_OGAIN_LUT_ADDR_PORT          0x26c6
#define VD1_SLICE1_OGAIN_LUT_DATA_PORT          0x26c7
#define VD1_SLICE1_HDR2_ADPS_CTRL               0x26c8
#define VD1_SLICE1_HDR2_ADPS_ALPHA0             0x26c9
#define VD1_SLICE1_HDR2_ADPS_ALPHA1             0x26ca
#define VD1_SLICE1_HDR2_ADPS_BETA0              0x26cb
#define VD1_SLICE1_HDR2_ADPS_BETA1              0x26cc
#define VD1_SLICE1_HDR2_ADPS_BETA2              0x26cd
#define VD1_SLICE1_HDR2_ADPS_COEF0              0x26ce
#define VD1_SLICE1_HDR2_ADPS_COEF1              0x26cf
#define VD1_SLICE1_HDR2_GMUT_CTRL               0x26d0
#define VD1_SLICE1_HDR2_GMUT_COEF0              0x26d1
#define VD1_SLICE1_HDR2_GMUT_COEF1              0x26d2
#define VD1_SLICE1_HDR2_GMUT_COEF2              0x26d3
#define VD1_SLICE1_HDR2_GMUT_COEF3              0x26d4
#define VD1_SLICE1_HDR2_GMUT_COEF4              0x26d5
#define VD1_SLICE1_HDR2_PIPE_CTRL1              0x26d6
#define VD1_SLICE1_HDR2_PIPE_CTRL2              0x26d7
#define VD1_SLICE1_HDR2_PIPE_CTRL3              0x26d8
#define VD1_SLICE1_HDR2_PROC_WIN1               0x26d9
#define VD1_SLICE1_HDR2_PROC_WIN2               0x26da
#define VD1_SLICE1_HDR2_MATRIXI_EN_CTRL         0x26db
#define VD1_SLICE1_HDR2_MATRIXO_EN_CTRL         0x26dc
#define VD1_SLICE1_HDR2_HIST_CTRL               0x26dd
#define VD1_SLICE1_HDR2_HIST_H_START_END        0x26de
#define VD1_SLICE1_HDR2_HIST_V_START_END        0x26df
#define VD1_SLICE1_HDR2_HIST_RD                 0x26e0

#define VD1_SLICE2_HDR2_CTRL                    0x2ca0
#define VD1_SLICE2_HDR2_CLK_GATE                0x2ca1
#define VD1_SLICE2_HDR2_MATRIXI_COEF00_01       0x2ca2
#define VD1_SLICE2_HDR2_MATRIXI_COEF02_10       0x2ca3
#define VD1_SLICE2_HDR2_MATRIXI_COEF11_12       0x2ca4
#define VD1_SLICE2_HDR2_MATRIXI_COEF20_21       0x2ca5
#define VD1_SLICE2_HDR2_MATRIXI_COEF22          0x2ca6
#define VD1_SLICE2_HDR2_MATRIXI_COEF30_31       0x2ca7
#define VD1_SLICE2_HDR2_MATRIXI_COEF32_40       0x2ca8
#define VD1_SLICE2_HDR2_MATRIXI_COEF41_42       0x2ca9
#define VD1_SLICE2_HDR2_MATRIXI_OFFSET0_1       0x2caa
#define VD1_SLICE2_HDR2_MATRIXI_OFFSET2         0x2cab
#define VD1_SLICE2_HDR2_MATRIXI_PRE_OFFSET0_1   0x2cac
#define VD1_SLICE2_HDR2_MATRIXI_PRE_OFFSET2     0x2cad
#define VD1_SLICE2_HDR2_MATRIXO_COEF00_01       0x2cae
#define VD1_SLICE2_HDR2_MATRIXO_COEF02_10       0x2caf
#define VD1_SLICE2_HDR2_MATRIXO_COEF11_12       0x2cb0
#define VD1_SLICE2_HDR2_MATRIXO_COEF20_21       0x2cb1
#define VD1_SLICE2_HDR2_MATRIXO_COEF22          0x2cb2
#define VD1_SLICE2_HDR2_MATRIXO_COEF30_31       0x2cb3
#define VD1_SLICE2_HDR2_MATRIXO_COEF32_40       0x2cb4
#define VD1_SLICE2_HDR2_MATRIXO_COEF41_42       0x2cb5
#define VD1_SLICE2_HDR2_MATRIXO_OFFSET0_1       0x2cb6
#define VD1_SLICE2_HDR2_MATRIXO_OFFSET2         0x2cb7
#define VD1_SLICE2_HDR2_MATRIXO_PRE_OFFSET0_1   0x2cb8
#define VD1_SLICE2_HDR2_MATRIXO_PRE_OFFSET2     0x2cb9
#define VD1_SLICE2_HDR2_MATRIXI_CLIP            0x2cba
#define VD1_SLICE2_HDR2_MATRIXO_CLIP            0x2cbb
#define VD1_SLICE2_HDR2_CGAIN_OFFT              0x2cbc
#define VD1_SLICE2_EOTF_LUT_ADDR_PORT           0x2cbe
#define VD1_SLICE2_EOTF_LUT_DATA_PORT           0x2cbf
#define VD1_SLICE2_OETF_LUT_ADDR_PORT           0x2cc0
#define VD1_SLICE2_OETF_LUT_DATA_PORT           0x2cc1
#define VD1_SLICE2_CGAIN_LUT_ADDR_PORT          0x2cc2
#define VD1_SLICE2_CGAIN_LUT_DATA_PORT          0x2cc3
#define VD1_SLICE2_HDR2_CGAIN_COEF0             0x2cc4
#define VD1_SLICE2_HDR2_CGAIN_COEF1             0x2cc5
#define VD1_SLICE2_OGAIN_LUT_ADDR_PORT          0x2cc6
#define VD1_SLICE2_OGAIN_LUT_DATA_PORT          0x2cc7
#define VD1_SLICE2_HDR2_ADPS_CTRL               0x2cc8
#define VD1_SLICE2_HDR2_ADPS_ALPHA0             0x2cc9
#define VD1_SLICE2_HDR2_ADPS_ALPHA1             0x2cca
#define VD1_SLICE2_HDR2_ADPS_BETA0              0x2ccb
#define VD1_SLICE2_HDR2_ADPS_BETA1              0x2ccc
#define VD1_SLICE2_HDR2_ADPS_BETA2              0x2ccd
#define VD1_SLICE2_HDR2_ADPS_COEF0              0x2cce
#define VD1_SLICE2_HDR2_ADPS_COEF1              0x2ccf
#define VD1_SLICE2_HDR2_GMUT_CTRL               0x2cd0
#define VD1_SLICE2_HDR2_GMUT_COEF0              0x2cd1
#define VD1_SLICE2_HDR2_GMUT_COEF1              0x2cd2
#define VD1_SLICE2_HDR2_GMUT_COEF2              0x2cd3
#define VD1_SLICE2_HDR2_GMUT_COEF3              0x2cd4
#define VD1_SLICE2_HDR2_GMUT_COEF4              0x2cd5
#define VD1_SLICE2_HDR2_PIPE_CTRL1              0x2cd6
#define VD1_SLICE2_HDR2_PIPE_CTRL2              0x2cd7
#define VD1_SLICE2_HDR2_PIPE_CTRL3              0x2cd8
#define VD1_SLICE2_HDR2_PROC_WIN1               0x2cd9
#define VD1_SLICE2_HDR2_PROC_WIN2               0x2cda
#define VD1_SLICE2_HDR2_MATRIXI_EN_CTRL         0x2cdb
#define VD1_SLICE2_HDR2_MATRIXO_EN_CTRL         0x2cdc
#define VD1_SLICE2_HDR2_HIST_CTRL               0x2cdd
#define VD1_SLICE2_HDR2_HIST_H_START_END        0x2cde
#define VD1_SLICE2_HDR2_HIST_V_START_END        0x2cdf
#define VD1_SLICE2_HDR2_HIST_RD                 0x2ce0

#define VD1_SLICE3_HDR2_CTRL                    0x3ea0
#define VD1_SLICE3_HDR2_CLK_GATE                0x3ea1
#define VD1_SLICE3_HDR2_MATRIXI_COEF00_01       0x3ea2
#define VD1_SLICE3_HDR2_MATRIXI_COEF02_10       0x3ea3
#define VD1_SLICE3_HDR2_MATRIXI_COEF11_12       0x3ea4
#define VD1_SLICE3_HDR2_MATRIXI_COEF20_21       0x3ea5
#define VD1_SLICE3_HDR2_MATRIXI_COEF22          0x3ea6
#define VD1_SLICE3_HDR2_MATRIXI_COEF30_31       0x3ea7
#define VD1_SLICE3_HDR2_MATRIXI_COEF32_40       0x3ea8
#define VD1_SLICE3_HDR2_MATRIXI_COEF41_42       0x3ea9
#define VD1_SLICE3_HDR2_MATRIXI_OFFSET0_1       0x3eaa
#define VD1_SLICE3_HDR2_MATRIXI_OFFSET2         0x3eab
#define VD1_SLICE3_HDR2_MATRIXI_PRE_OFFSET0_1   0x3eac
#define VD1_SLICE3_HDR2_MATRIXI_PRE_OFFSET2     0x3ead
#define VD1_SLICE3_HDR2_MATRIXO_COEF00_01       0x3eae
#define VD1_SLICE3_HDR2_MATRIXO_COEF02_10       0x3eaf
#define VD1_SLICE3_HDR2_MATRIXO_COEF11_12       0x3eb0
#define VD1_SLICE3_HDR2_MATRIXO_COEF20_21       0x3eb1
#define VD1_SLICE3_HDR2_MATRIXO_COEF22          0x3eb2
#define VD1_SLICE3_HDR2_MATRIXO_COEF30_31       0x3eb3
#define VD1_SLICE3_HDR2_MATRIXO_COEF32_40       0x3eb4
#define VD1_SLICE3_HDR2_MATRIXO_COEF41_42       0x3eb5
#define VD1_SLICE3_HDR2_MATRIXO_OFFSET0_1       0x3eb6
#define VD1_SLICE3_HDR2_MATRIXO_OFFSET2         0x3eb7
#define VD1_SLICE3_HDR2_MATRIXO_PRE_OFFSET0_1   0x3eb8
#define VD1_SLICE3_HDR2_MATRIXO_PRE_OFFSET2     0x3eb9
#define VD1_SLICE3_HDR2_MATRIXI_CLIP            0x3eba
#define VD1_SLICE3_HDR2_MATRIXO_CLIP            0x3ebb
#define VD1_SLICE3_HDR2_CGAIN_OFFT              0x3ebc
#define VD1_SLICE3_EOTF_LUT_ADDR_PORT           0x3ebe
#define VD1_SLICE3_EOTF_LUT_DATA_PORT           0x3ebf
#define VD1_SLICE3_OETF_LUT_ADDR_PORT           0x3ec0
#define VD1_SLICE3_OETF_LUT_DATA_PORT           0x3ec1
#define VD1_SLICE3_CGAIN_LUT_ADDR_PORT          0x3ec2
#define VD1_SLICE3_CGAIN_LUT_DATA_PORT          0x3ec3
#define VD1_SLICE3_HDR2_CGAIN_COEF0             0x3ec4
#define VD1_SLICE3_HDR2_CGAIN_COEF1             0x3ec5
#define VD1_SLICE3_OGAIN_LUT_ADDR_PORT          0x3ec6
#define VD1_SLICE3_OGAIN_LUT_DATA_PORT          0x3ec7
#define VD1_SLICE3_HDR2_ADPS_CTRL               0x3ec8
#define VD1_SLICE3_HDR2_ADPS_ALPHA0             0x3ec9
#define VD1_SLICE3_HDR2_ADPS_ALPHA1             0x3eca
#define VD1_SLICE3_HDR2_ADPS_BETA0              0x3ecb
#define VD1_SLICE3_HDR2_ADPS_BETA1              0x3ecc
#define VD1_SLICE3_HDR2_ADPS_BETA2              0x3ecd
#define VD1_SLICE3_HDR2_ADPS_COEF0              0x3ece
#define VD1_SLICE3_HDR2_ADPS_COEF1              0x3ecf
#define VD1_SLICE3_HDR2_GMUT_CTRL               0x3ed0
#define VD1_SLICE3_HDR2_GMUT_COEF0              0x3ed1
#define VD1_SLICE3_HDR2_GMUT_COEF1              0x3ed2
#define VD1_SLICE3_HDR2_GMUT_COEF2              0x3ed3
#define VD1_SLICE3_HDR2_GMUT_COEF3              0x3ed4
#define VD1_SLICE3_HDR2_GMUT_COEF4              0x3ed5
#define VD1_SLICE3_HDR2_PIPE_CTRL1              0x3ed6
#define VD1_SLICE3_HDR2_PIPE_CTRL2              0x3ed7
#define VD1_SLICE3_HDR2_PIPE_CTRL3              0x3ed8
#define VD1_SLICE3_HDR2_PROC_WIN1               0x3ed9
#define VD1_SLICE3_HDR2_PROC_WIN2               0x3eda
#define VD1_SLICE3_HDR2_MATRIXI_EN_CTRL         0x3edb
#define VD1_SLICE3_HDR2_MATRIXO_EN_CTRL         0x3edc
#define VD1_SLICE3_HDR2_HIST_CTRL               0x3edd
#define VD1_SLICE3_HDR2_HIST_H_START_END        0x3ede
#define VD1_SLICE3_HDR2_HIST_V_START_END        0x3edf
#define VD1_SLICE3_HDR2_HIST_RD                 0x3ee0

#define VPP_GCLK_CTRL                           0x2500
#define VPP_DOLBY_CTRL                          0x2501
#define VPP_SYNC_SEL0                           0x2502
#define VPP_OUT_H_V_SIZE                        0x2503
#define VPP_OFIFO_SIZE                          0x2504
#define VPP_OFIFO_URG_CTRL                      0x2505
#define VPP_FIFO_STATUS                         0x2506
#define VPP_CLIP_MISC0                          0x2507
#define VPP_CLIP_MISC1                          0x2508
#define VPP_MISC                                0x2509
#define VPP_CRC_CHK                             0x250a
#define VPP_RO_CRCSUM                           0x250b
#define VPP_SLC_DEAL_CTRL                       0x250c
#define VPP_HWIN_SIZE                           0x250d
#define VPP_ALIGN_FIFO_SIZE                     0x250e
#define VPP_GAMMA_CTRL                          0x2530
#define VPP_GAMMA_BIN_ADDR                      0x2531
#define VPP_GAMMA_BIN_DATA                      0x2532
#define VPP_GAINOFF_CTRL0                       0x2550
#define VPP_GAINOFF_CTRL1                       0x2551
#define VPP_GAINOFF_CTRL2                       0x2552
#define VPP_GAINOFF_CTRL3                       0x2553
#define VPP_GAINOFF_CTRL4                       0x2554
#define VPP_GAINOFF_GCLK_CTRL                   0x2555
#define VPP_POST2_MATRIX_COEF00_01              0x2560
#define VPP_POST2_MATRIX_COEF02_10              0x2561
#define VPP_POST2_MATRIX_COEF11_12              0x2562
#define VPP_POST2_MATRIX_COEF20_21              0x2563
#define VPP_POST2_MATRIX_COEF22                 0x2564
#define VPP_POST2_MATRIX_COEF13_14              0x2565
#define VPP_POST2_MATRIX_COEF23_24              0x2566
#define VPP_POST2_MATRIX_COEF15_25              0x2567
#define VPP_POST2_MATRIX_CLIP                   0x2568
#define VPP_POST2_MATRIX_OFFSET0_1              0x2569
#define VPP_POST2_MATRIX_OFFSET2                0x256a
#define VPP_POST2_MATRIX_PRE_OFFSET0_1          0x256b
#define VPP_POST2_MATRIX_PRE_OFFSET2            0x256c
#define VPP_POST2_MATRIX_EN_CTRL                0x256d
#define VPP_VADJ2_MISC                          0x2570
#define VPP_VADJ2_BLACK_VAL                     0x2571
#define VPP_VADJ2_Y                             0x2572
#define VPP_VADJ2_MA_MB                         0x2573
#define VPP_VADJ2_MC_MD                         0x2574
#define VPP_VADJ2_CURV_0                        0x2575
#define VPP_VADJ2_CURV_1                        0x2576
#define VPP_VADJ2_CURV_2                        0x2577
#define VPP_VADJ2_CURV_3                        0x2578
#define VPP_POST_RGB_CTRST                      0x2579
#define VPP_POST_RGB_BRGHT                      0x257a
#define VPP_POST_RGB_DLUT_0_3                   0x257b
#define VPP_POST_RGB_DLUT_4_7                   0x257c
#define VPP_POST_RGB_DLUT_8_11                  0x257d
#define VPP_POST_MATRIX_COEF00_01               0x2580
#define VPP_POST_MATRIX_COEF02_10               0x2581
#define VPP_POST_MATRIX_COEF11_12               0x2582
#define VPP_POST_MATRIX_COEF20_21               0x2583
#define VPP_POST_MATRIX_COEF22                  0x2584
#define VPP_POST_MATRIX_COEF13_14               0x2585
#define VPP_POST_MATRIX_COEF23_24               0x2586
#define VPP_POST_MATRIX_COEF15_25               0x2587
#define VPP_POST_MATRIX_CLIP                    0x2588
#define VPP_POST_MATRIX_OFFSET0_1               0x2589
#define VPP_POST_MATRIX_OFFSET2                 0x258a
#define VPP_POST_MATRIX_PRE_OFFSET0_1           0x258b
#define VPP_POST_MATRIX_PRE_OFFSET2             0x258c
#define VPP_POST_MATRIX_EN_CTRL                 0x258d
#define VPP_POST_MATRIX_SAT                     0x258e

/*ai color ce module regs*/
#define SA_CTRL                                 0x3f00
#define SA_CM                                   0x3f04
#define SA_ADJ                                  0x3f05
#define SA_PRT                                  0x3f06
#define SA_SGAIN_0                              0x3f07
#define SA_SGAIN_1                              0x3f08
#define SA_SGAIN_2                              0x3f09
#define SA_SGAIN_3                              0x3f0a
#define SA_SGAIN_4                              0x3f0b
#define SA_SGAIN_5                              0x3f0c
#define SA_SGAIN_6                              0x3f0d
#define SA_SGAIN_7                              0x3f0e
#define SA_SGAIN_8                              0x3f0f
#define SA_SGAIN_9                              0x3f10
#define SA_SGAIN_10                             0x3f11
#define SA_SGAIN_11                             0x3f12
#define SA_SGAIN_12                             0x3f13
#define SA_SGAIN_13                             0x3f14
#define SA_SGAIN_14                             0x3f15
#define SA_SGAIN_15                             0x3f16
#define SA_SGAIN_16                             0x3f17
#define SA_SGAIN_17                             0x3f18
#define SA_SGAIN_18                             0x3f19
#define SA_SGAIN_19                             0x3f1a
#define SA_SGAIN_20                             0x3f1b
#define SA_SGAIN_21                             0x3f1c
#define SA_SGAIN_22                             0x3f1d
#define SA_SGAIN_23                             0x3f1e
#define SA_SGAIN_24                             0x3f1f
#define SA_SGAIN_25                             0x3f20
#define SA_SGAIN_26                             0x3f21
#define SA_SGAIN_27                             0x3f22
#define SA_SGAIN_28                             0x3f23
#define SA_SGAIN_29                             0x3f24
#define SA_SGAIN_30                             0x3f25
#define SA_SGAIN_31                             0x3f26
#define SA_SGAIN_32                             0x3f27
#define SA_SGAIN_33                             0x3f28
#define SA_SGAIN_34                             0x3f29
#define SA_SGAIN_35                             0x3f2a
#define SA_SGAIN_36                             0x3f2b
#define SA_SGAIN_37                             0x3f2c
#define SA_SGAIN_38                             0x3f2d
#define SA_SGAIN_39                             0x3f2e
#define SA_SGAIN_40                             0x3f2f
#define SA_SGAIN_41                             0x3f30
#define SA_SGAIN_42                             0x3f31
#define SA_SGAIN_43                             0x3f32
#define SA_SGAIN_44                             0x3f33
#define SA_SGAIN_45                             0x3f34
#define SA_SGAIN_46                             0x3f35
#define SA_SGAIN_47                             0x3f36
#define SA_SGAIN_48                             0x3f37
#define SA_SGAIN_49                             0x3f38
#define SA_SGAIN_50                             0x3f39
#define SA_SGAIN_51                             0x3f3a
#define SA_SGAIN_52                             0x3f3b
#define SA_SGAIN_53                             0x3f3c
#define SA_SGAIN_54                             0x3f3d
#define SA_SGAIN_55                             0x3f3e
#define SA_SGAIN_56                             0x3f3f
#define SA_SGAIN_57                             0x3f40
#define SA_SGAIN_58                             0x3f41
#define SA_SGAIN_59                             0x3f42
#define SA_LGAIN_0                              0x3f43
#define SA_LGAIN_1                              0x3f44
#define SA_LGAIN_2                              0x3f45
#define SA_LGAIN_3                              0x3f46
#define SA_LGAIN_4                              0x3f47
#define SA_LGAIN_5                              0x3f48
#define SA_LGAIN_6                              0x3f49
#define SA_LGAIN_7                              0x3f4a
#define SA_LGAIN_8                              0x3f4b
#define SA_LGAIN_9                              0x3f4c
#define SA_LGAIN_10                             0x3f4d
#define SA_LGAIN_11                             0x3f4e
#define SA_LGAIN_12                             0x3f4f
#define SA_LGAIN_13                             0x3f50
#define SA_LGAIN_14                             0x3f51
#define SA_LGAIN_15                             0x3f52
#define SA_LGAIN_16                             0x3f53
#define SA_LGAIN_17                             0x3f54
#define SA_LGAIN_18                             0x3f55
#define SA_LGAIN_19                             0x3f56
#define SA_LGAIN_20                             0x3f57
#define SA_LGAIN_21                             0x3f58
#define SA_LGAIN_22                             0x3f59
#define SA_LGAIN_23                             0x3f5a
#define SA_LGAIN_24                             0x3f5b
#define SA_LGAIN_25                             0x3f5c
#define SA_LGAIN_26                             0x3f5d
#define SA_LGAIN_27                             0x3f5e
#define SA_LGAIN_28                             0x3f5f
#define SA_LGAIN_29                             0x3f60
#define SA_LGAIN_30                             0x3f61
#define SA_LGAIN_31                             0x3f62

#endif

